/* variables - color scheme https://coolors.co/772334-1291a9-231f20-f4f4f4-bfd53e */
:root {
  --text: #231f20;
  --text-10: rgba(35, 31, 32, .1);
  --background: #f4f4f4;
  --background-shade: #e8e8e8;
  --background-shade-lighter: #efefef;
  --blue: #117A92;
  --yellow: rgb(221, 194, 55);
  --font: 'Bricolage Grotesque', sans-serif;
}

@media (prefers-color-scheme: dark) {
  :root {
    --text: #f4f4f4;
    --text-10: rgba(244, 244, 244, .1);
    --background: #231f20;
    --background-shade: #1f1b1c;
    --background-shade-lighter: #1b191a;
    --blue: #1595B2;
  }
}

/* basics */
* {
  box-sizing: border-box;
}

body {
  background-color: var(--background);
  color: var(--text);
  font-family: var(--font);
  font-size: 18px;
  line-height: 1.6;
  padding: 5%;
  margin: 0;
}

header,
main {
  max-width: 1000px;
  margin: 0 auto;
}

a {
  color: var(--blue);
  text-decoration: none;
  border-bottom: thin dotted var(--blue);
}

img {
  max-width: 100%;
}

hr {
  margin: 2.5% 0;
  color: var(--text-10);
}

li::marker {
  color: var(--blue);
  font-weight: 700;
}

li {
  margin-bottom: 1%;
}

blockquote {
  background-color: var(--background-shade);
  margin: 0;
  padding: 2.5% 5%;
  border-radius: 15px;
}

audio {
  display: block;
  margin: auto;
  border-radius: 15px;
  width: 60%;
}

/* header */
header {
  margin: 2.5% auto 5% auto;

  h1 {
    font-weight: normal;
    font-style: italic;
    margin: 0;
    text-align: center;

    a {
      color: var(--text);
      border-bottom: none;

      svg {
        width: 10px;
        color: var(--blue);
        margin: 0;
      }
    }
  }

  nav {
    ul {
      list-style: none;
      margin: 0;
      padding: 0;
      display: flex;
      gap: 2.5%;
      justify-content: center;

      li {}
    }
  }
}

/* footer */
footer {
  margin-top: 10%;
  padding-bottom: 2.5%;
  clear: both;

  .social {
    list-style-type: none;
    padding: 0;
    display: flex;
    gap: 35px;
    justify-content: center;
    align-items: center;
    margin: 0;

    a {
      border-bottom: none;
    }

    svg {
      transform: scale(1.75);
    }
  }

  p {
    margin: 0;
  }

  .forget {
    text-transform: uppercase;
    font-size: 1.5rem;
    text-align: center;
    font-weight: 300;
  }

  .copyright {
    font-style: italic;
    text-transform: uppercase;
    text-align: center;
    font-weight: 300;
  }
}

/* blog archive */
main.layouts-blog-archive-njk {
  article {
    border-bottom: 1px solid var(--text-10);
    align-items: center;
    padding: 1.5% 0;
    gap: 5px;

    ul {
      list-style: none;
      margin: 0;
      padding: 0;
      display: flex;

      li {
        margin: 0;
      }
    }

    li.date {
      font-weight: 300;
      font-style: italic;
      width: 15%;
    }

    li.title {
      width: 85%;
    }

    a {
      border-bottom: none;
    }
  }
}

/* home */
main {
  .recent {
    article {
      background-color: var(--background-shade-lighter);
      border: 1px solid var(--background-shade);
      padding: 2.5%;
      border-radius: 15px;
      margin-bottom: 2.5%;

      @media only screen and (max-width: 700px) {
        .title, .date {
          text-align: center;
        }

        h1.title {
          font-size: 2rem;
        }

        .date {
          font-size: 1rem;
        }
      }

      .cover {
        width: 200px;
        height: 200px;
        float: left;
        margin: 0 25px 0 0;
        overflow: hidden;

        @media only screen and (max-width: 700px) {
          float: none;
          width: 100%;
        }

        img {
          border-radius: 15px;
          object-fit: cover;
          width: 100%;
          height: 100%;
        }
      }

      .date {
        font-size: 1.5rem;
        text-transform: uppercase;
        font-weight: 300;
        font-style: italic;
        margin-bottom: 1%;
      }

      .title {
        font-weight: 800;
        font-size: 2.5rem;
        margin: 0 0 1% 0;
        line-height: 1;
        color: var(--blue);
        @media only screen and (max-width: 700px) {
          font-size: 2.5rem;
        }

        a {
          border-bottom: none;
        }
      }

      .summary {
        h2 {
          display: none;
        }

        p {
          margin-bottom: none;
        }
      }
    }
  }
}


/* posts & pages */
main.layouts-post-njk, main.layouts-page-njk {
  h1 {
    font-weight: 800;
    font-size: 3.5rem;
    text-align: center;
    margin: 0 0 2.5% 0;
    line-height: 1;
    color: var(--blue);
  }

  ul.meta {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 2.5%;
    justify-content: center;

    .date {
      font-size: 1.5rem;
      text-transform: uppercase;
      font-weight: 300;
      font-style: italic;
    }
  }

  .cover {
    height: 500px;
    margin: 2.5% 0 2.5% 0;
    border-radius: 15px;
    overflow: hidden;
    position: relative;

    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
      transition: all 0.5s ease;
    }

    .overlay {
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      height: 100%;
      width: 100%;
      opacity: 0;
      transition: .5s ease;
      background-color: var(--blue);
    }
  }

  .cover:hover {
    .overlay {
      opacity: .25;
    }

    img {
      scale: 1.2;
    }
  }

  a.footnote-backref {
    border-bottom: none;
  }

  img {
    display: block;
    margin: 2.5% auto;
    border-radius: 15px;
    width: 100%;
  }

  img[src$='#album'] {
    float: left;
    width: 300px;
    margin: 0 25px 0 0;

    @media only screen and (max-width: 700px) {
        margin-right: 0;
        margin-bottom: 25px;
        width: 100%;
        float: none;
    }
  }

  h2,
  h3,
  h4,
  h5,
  h6 {
    margin: 3% 0 1% 0;
  }

  h2 {
    font-size: 2.5rem;
    line-height: 1;
  }

  ul.boxes {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 1%;
    justify-content: center;
    flex-wrap: wrap;

    li {
      background-color: var(--blue);
      color: var(--background);
      padding: 1% 2.5%;
      border-radius: 15px;
      text-transform: lowercase;
      font-weight: 300;

      .label {
        font-weight: 800;
      }

      .label::after {
        content: ':';
      }
    }
  }
}

/* bookshelf & games */
main.layouts-book-archive-njk, main.layouts-game-archive-njk {
  h1 {
    font-weight: 800;
    font-size: 3.5rem;
    text-align: center;
    margin: 0 0 2.5% 0;
    line-height: 1;
  }
  article {
    margin-bottom: 2.5%;
    background-color: var(--background-shade-lighter);
    border: 1px solid var(--background-shade);
    padding: 2.5%;
    border-radius: 15px;
    clear: both;
    display: flex;
    align-items: flex-start;
    position: relative;

    ul.info {
      list-style: none;
      margin: 0;
      padding: 0;
      width: 80%;
      height: 100%;
    }

    .title {
      font-size: 3rem;
      font-weight: 800;
      line-height: 1;
      margin-bottom: 2.5%;

      a {
        border-bottom: none;
      }
    }

    .author {
      font-weight: 300;
      font-size: 1.5rem;
      font-style: italic;
      line-height: 1;
      margin-bottom: 2.5%;
    }

    .summary {
      font-size: .9rem;
      margin-bottom: 2.5%;
    }

    .cover {
      margin: 0 25px 0 0;
      overflow: hidden;
      width: 20%;

      img {
        margin: 0;
        border-radius: 15px;
      }
    }

    .meta {
      color: var(--blue);
      align-self: flex-end;
      position: absolute;
      bottom: 5%;
      text-transform: capitalize;
    }
  }
}

main.layouts-game-archive-njk {
  .cover img {
    height: 250px;
    width: 100%;
    object-fit: cover;
  }
}

main.layouts-books-njk, main.layouts-games-njk {
  h1 {
    font-weight: 800;
    font-size: 3.5rem;
    text-align: center;
    margin: 0 0 2.5% 0;
    line-height: 1;
  }

  ul.meta {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 2.5%;
    justify-content: center;

    .author {
      font-size: 1.5rem;
      text-transform: uppercase;
      font-weight: 300;
      font-style: italic;
    }
  }

  .cover {
    float: left;
    width: 20%;
    margin: 0 25px 0 0;

    img {
      border-radius: 15px;
    }
  }

  ul.boxes {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 1%;
    justify-content: center;
    flex-wrap: wrap;

    li {
      background-color: var(--background-shade);
      padding: 1% 2.5%;
      border-radius: 15px;
      text-transform: capitalize;
      font-weight: 300;

      .label {
        font-weight: 800;
        color: var(--blue);
      }

      .label::after {
        content: ':';
      }
    }
  }

  .summary {
    font-size: 1.5rem;
    font-style: italic;
    text-align: center;
  }
}

main.layouts-games-njk {
  .cover {
    height: 500px;
    width: 100%;
    margin: 2.5% 0 2.5% 0;
    border-radius: 15px;
    overflow: hidden;

    img {
      object-fit: cover;
      width: 100%;
      height: 100%;
    }
  }

  ul.boxes {
    clear: both;
  }
}